#version 330

layout (points) in;
layout (points) out;
layout (max_vertices = 1) out;

in vec3 Position[];
in vec3 Velocity[];
in float Lifetime[];

uniform float deltaTime;

out vec3 PositionOut;
out vec3 VelocityOut;
out float LifetimeOut;

void main() {
	if (Lifetime[0] > 0) {
		PositionOut = Position[0] + Velocity[0] * deltaTime * 10;
		VelocityOut = Velocity[0] * (1 - deltaTime * 2);
		LifetimeOut = Lifetime[0] - deltaTime;

		EmitVertex();
		EndPrimitive();
	}
}