#version 330 core

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 texCoords;

uniform mat4 viewProjection;
uniform mat4 model;

out vec3 FragPos;
out vec3 Normal;
out vec2 TexCoords;

void main()
{
	FragPos = vec3(model * vec4(position, 1.0));
	Normal = vec3(model * vec4(normal, 0.0));
    TexCoords = texCoords;

    gl_Position = viewProjection * vec4(FragPos, 1.0);
}